#ifndef _AQUA_TYPEDEF_NONE_WIN32_H_
#define _AQUA_TYPEDEF_NONE_WIN32_H_

//
// Neutral ANSI/UNICODE types and macros
//

typedef void				*LPVOID;
typedef char				*LPSTR;
typedef const char			*LPCSTR;
typedef char            	TCHAR;

#ifdef  UNICODE                     // r_winnt

#ifndef _TCHAR_DEFINED
typedef WCHAR TCHAR, *PTCHAR;
typedef WCHAR TBYTE , *PTBYTE ;
#define _TCHAR_DEFINED
#endif /* !_TCHAR_DEFINED */

typedef LPWSTR LPTCH, PTCH;
typedef LPWSTR PTSTR, LPTSTR;
typedef LPCWSTR PCTSTR, LPCTSTR;
typedef LPUWSTR PUTSTR, LPUTSTR;
typedef LPCUWSTR PCUTSTR, LPCUTSTR;
typedef LPWSTR LP;
#define __TEXT(quote) L##quote      // r_winnt

#define _T(x)		x
#define _ftscanf	_wscanf
#define _tfopen		_wopen

#else   /* UNICODE */               // r_winnt

#ifndef _TCHAR_DEFINED
typedef char TCHAR, *PTCHAR;
typedef unsigned char TBYTE , *PTBYTE ;
#define _TCHAR_DEFINED
#endif /* !_TCHAR_DEFINED */

typedef LPSTR LPTCH, PTCH;
typedef LPSTR PTSTR, LPTSTR, PUTSTR, LPUTSTR;
typedef LPCSTR PCTSTR, LPCTSTR, PCUTSTR, LPCUTSTR;
#define __TEXT(quote) quote         // r_winnt

#define _T(x)		x
#define _ftscanf	fscanf
#define _tfopen		fopen

#endif /* UNICODE */                // r_winnt

//
// socket types and macros
//
typedef int					SOCKET;
#define INVALID_SOCKET  	(SOCKET)(~0)
#define SOCKET_ERROR		(-1)

#define closesocket			::close
#define _snprintf			::snprintf


#endif /* _AQUA_TYPEDEF_NONE_WIN32_H_ */
